Skip to main content
`Ctrl`+`K`

# EPSCISSSetQuadRule

Sets the quadrature rule used in the CISS solver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSCISSSetQuadRule(EPS eps,EPSCISSQuadRule quad)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- quad - the quadrature rule, see `EPSCISSQuadRule` for possible values

## Options Database Key

- -eps_ciss_quadrule <quad> - sets the quadrature rule, either `trapezoidal` or `chebyshev`

## Notes

By default, the trapezoidal rule is used (`EPS_CISS_QUADRULE_TRAPEZOIDAL`).

If the `chebyshev` option is specified (`EPS_CISS_QUADRULE_CHEBYSHEV`), then Chebyshev points are used as quadrature points.

## See Also

EPS: Eigenvalue Problem Solver, `EPSCISS`, `EPSCISSGetQuadRule()`, `EPSCISSQuadRule`

## Level

advanced

## Location

src/eps/impls/ciss/ciss.c

## Implementations

EPSCISSSetQuadRule_CISS() in src/eps/impls/ciss/ciss.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages